Name:		scribes-templates
Version:	20070602
Release:	3%{?dist}
Summary:	Templates ("Snippets") for the Scribes text editor
Group:		Applications/Editors

# Though the tarball does not mention it explicitly, Mystilleef (the upstream
# maintainer of Scribes) did state that these are GPL in an email message to
# me on 2006-10-17, a copy of which is contained in COPYING.Fedora. Future
# versions should contain an explicit COPYING file.
License:	GPL+
URL:		http://scribes.sourceforge.net/template.html

# The tarball is not versioned, so I update the mirrored tarball on my
# webspace with the new stuff every release and rename it to include a proper
# version (datestamp). Hopefully, this will be fixed in a future release. 
Source0:	http://mirror.thecodergeek.com/src/templates-%{version}.tar.bz2
Source1:	COPYING.Fedora

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

# Scribes' template system was rewritten, so these will not work with earlier
# versions, and it needs scribes installed so that the parent directory in
# %%datadir will not be left unowned.
Requires:	scribes >= 0.2.9.87


%description
Scribes is a simple and sleek text editor for the the GNOME desktop. It focuses
on keeping the working environment free from distractions, and providing strong
automation of mundane, repetitive tasks. One of its greatest features is a
dynamic templating system (popularly called Snippets) to automate the creation
of various types of files following the same general format. This package
contains a collection of various pre-made templates for Scribes.


%prep
%setup -q -n "templates"
install -p -m 0644 %{SOURCE1} .

%build
# Nothing to build...


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/scribes/templates
install -p -m 0644 *-templates.xml %{buildroot}%{_datadir}/scribes/templates/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING.Fedora
%{_datadir}/scribes/templates/


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070602-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 20070602-2
- fix license tag

* Mon Jun 04 2007 Peter Gordon <peter@thecodergeek.com> - 20070602-1
- Update to new upstream templates tarball (2007-06-02), including updated
  templates for LaTeX, Perl, PHP, and VHDL.

* Sun Dec 17 2006 Peter Gordon <peter@thecodergeek.com> - 20061130-1
- Update to new upstream templates tarball (2006-11-30), including Ruby on
  Rails templates :]
- Fix BuildRoot

* Wed Oct 18 2006 Peter Gordon <peter@thecodergeek.com> - 20061017-2
- Make install invocations in %%install and %%prep keep timestamps ("-p")
- Remove empty %%pre/%%preun/%%post/%%postun
- (Thanks to Mamoru Tasaka in bug #211242)
 

* Tue Oct 17 2006 Peter Gordon <peter@thecodergeek.com> - 20061017-1
- Initial packaging.
